ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
permit_buttons_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| get_controller ()
| compile_set_permit_button (&$Settings)
| compile_delete_permit_button (&$Settings)
| compile_toggle_permit_button (&$Settings)

## Data Fields
| $Permits = array()
| $CachedMultyFS = false
| $Database = false
| $PermitAccess = false
| $PermitAlgorithms = false
| $Settings = false
| $String = false
| $UserAlgorithms = false
| $ControllerWasAdded = false

## Detailed Description

Class provides macro processing.

Author
  Dodonov A.A.

Definition at line 26 of file permit_buttons.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 80 of file permit_buttons.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->Database = get_package( 'database' , 'last' , __FILE__ );
$this->PermitAccess = get_package( 'permit::permit_access' , 'last' , __FILE__ );
$this->PermitAlgorithms = get_package( 'permit::permit_algorithms' , 'last' , __FILE__ );
$this->Settings = get_package_object( 'settings::settings' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
$this->UserAlgorithms = get_package( 'user::user_algorithms' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_delete_permit_button | ( | & | $Settings | ) |

Button code compilation.

Parameters

  $Settings | - Processing options.

Returns
  Button code.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 273 of file permit_buttons.php.

{
try
{
return( $this->compile_permit_button( $Settings , 'Delete' ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_set_permit_button | ( | & | $Settings | ) |

Button code compilation.

Parameters

  $Settings | - Processing options.

Returns
  Button code.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 239 of file permit_buttons.php.

{
try
{
return( $this->compile_permit_button( $Settings , 'Set' ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_toggle_permit_button | ( | & | $Settings | ) |

Button code compilation.

Parameters

  $Settings | - Processing options.

Returns
  Button code.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 307 of file permit_buttons.php.

{
try
{
return( $this->compile_permit_button( $Settings , 'Toggle' ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

get_controller | ( |  | ) |

Function creates controller call.

Returns
  Script with the controller call.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 116 of file permit_buttons.php.

{
try
{
$Code = '';
if( $this->ControllerWasAdded === false )
{
$Code = '{direct_controller:set_permit=1;delete_permit=1;toggle_permit=1'.
'package_name=permit::permit_controller}';
$this->ControllerWasAdded = true;
}
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 50 of file permit_buttons.php.

$ControllerWasAdded = false

Was the controller added.

Author
  Dodonov A.A.

Definition at line 68 of file permit_buttons.php.

$Database = false

Definition at line 51 of file permit_buttons.php.

$PermitAccess = false

Definition at line 52 of file permit_buttons.php.

$PermitAlgorithms = false

Definition at line 53 of file permit_buttons.php.

$Permits = array()

Object permits.

Author
  Dodonov A.A.

Definition at line 38 of file permit_buttons.php.

$Settings = false

Definition at line 54 of file permit_buttons.php.

$String = false

Definition at line 55 of file permit_buttons.php.

$UserAlgorithms = false

Definition at line 56 of file permit_buttons.php.

The documentation for this class was generated from the following file:

- packages/permit/packages/permit_buttons/permit_buttons.php